import TilorswiftEvent from "./TilorswiftEvent.js";

export default class TilorswiftFieldClickedEvent extends CustomEvent
{
    constructor(field)
    {
        super(
            TilorswiftEvent.FIELD_CLICKED,
            {
                detail: {field: field}
            }
        );
    }

    getField()
    {
        return this.detail.field;
    }
}